#include<bits/stdc++.h>
using namespace std;
//freopen("fm.inp","r",stdin);
//freopen("fm.out","w",stdout);
int64_t n,k,r=0;
int a[100001];
int dem(int x,int y)
{
    int d=0;
    for(int i=1;i<=y;i++)
    {
        if(x%2==0 && a[i]==x/2)
        {
            d++;
        }
        else
        {
            if(a[i]<=x/2)
            {
                for(int j=i;j<=y;j++)
                {
                    if(a[i]+a[j]==x && a[i]!=a[j])
                    {
                        d+=2;
                        break;
                    }
                }
            }
            else
            {
                break;
            }
        }
    }
    return d;
}
int main()
{
    int r=0;
    cin>>n>>k;
    int j=0;
    for(int64_t i=1;i<=n;i++)
    {
        int t;
        cin>>t;
        if(t<k)
        {
            j++;
            a[j]=t;
        }
    }
    sort(a+1,a+j+1);
    for(int i=1;i<=k;i++)
    {
        cout<<dem(i,j)<<' ';
        r+=dem(i,j);
    }
    cout<<endl<<r;
}

